com.smartgwt.client.widgets.ace

## Class AceEditSession

- java.lang.Object
- - com.smartgwt.client.core.BaseClass
  - - com.smartgwt.client.widgets.ace.AceEditSession

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers

      public class AceEditSession
      extends BaseClass

  Internal use only.

- - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.core.BaseClass

      `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AceEditSession()`
    `AceEditSession(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `addFloatingMarker(AceRange range, java.lang.String style, java.lang.String type)` Internal use only.
    `java.lang.Integer` | `addFloatingMarker(AceRange range, java.lang.String style, java.lang.String type, java.lang.Boolean inFront)` Internal use only.
    `java.lang.Integer` | `addMarker(AceRange range, java.lang.String style, java.lang.String type)` Internal use only.
    `java.lang.Integer` | `addMarker(AceRange range, java.lang.String style, java.lang.String type, java.lang.Boolean inFront)` Internal use only.
    `com.google.gwt.core.client.JavaScriptObject` | `create()`
    `AceDocument` | `getDocument()` Internal use only.
    `com.google.gwt.core.client.JavaScriptObject` | `getJsObj()`
    `java.lang.Integer` | `getLength()` Internal use only.
    `java.lang.String` | `getLine(java.lang.Integer row)` Internal use only.
    `java.lang.String[]` | `getLines(java.lang.Integer firstRow, java.lang.Integer lastRow)` Internal use only.
    `AceMarker` | `getMarker(java.lang.Integer id)` Internal use only.
    `AceMarker[]` | `getMarkers()` Internal use only.
    `AceMarker[]` | `getMarkers(java.lang.Boolean inFront)` Internal use only.
    `com.google.gwt.core.client.JavaScriptObject` | `getOrCreateJsObj()`
    `static AceEditSession` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Integer` | `getTabSize()` Internal use only.
    `java.lang.String` | `getTextRange(AceRange range)` Internal use only.
    `AceUndoManager` | `getUndoManager()` Internal use only.
    `java.lang.String` | `getValue()` Internal use only.
    `void` | `insert(AcePosition position, java.lang.String text)` Internal use only.
    `boolean` | `isCreated()`
    `void` | `remove(AceRange range)` Internal use only.
    `void` | `removeMarker(java.lang.Integer id)` Internal use only.
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `AceEditSession` | `setTabSize(java.lang.Integer tabSize)` Internal use only.
    `void` | `setUndoManager(AceUndoManager undoManager)` Internal use only.

    - ### Methods inherited from class com.smartgwt.client.core.BaseClass

      `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, onInit, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AceEditSession

          public AceEditSession()

    - #### AceEditSession

          public AceEditSession(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static AceEditSession getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

      Overrides:
        `setJavaScriptObject` in class `BaseClass`

    - #### create

          public com.google.gwt.core.client.JavaScriptObject create()

      Specified by:
        `create` in class `BaseClass`

    - #### isCreated

          public boolean isCreated()

      Overrides:
        `isCreated` in class `BaseClass`

    - #### getJsObj

          public com.google.gwt.core.client.JavaScriptObject getJsObj()

      Overrides:
        `getJsObj` in class `BaseClass`

    - #### getOrCreateJsObj

          public com.google.gwt.core.client.JavaScriptObject getOrCreateJsObj()

      Overrides:
        `getOrCreateJsObj` in class `BaseClass`

    - #### setTabSize

          public AceEditSession setTabSize(java.lang.Integer tabSize)

      Internal use only.

    - #### getTabSize

          public java.lang.Integer getTabSize()

      Internal use only.

    - #### addFloatingMarker

          public java.lang.Integer addFloatingMarker(AceRange range,
                                                     java.lang.String style,
                                                     java.lang.String type)

      Internal use only.

    - #### addFloatingMarker

          public java.lang.Integer addFloatingMarker(AceRange range,
                                                     java.lang.String style,
                                                     java.lang.String type,
                                                     java.lang.Boolean inFront)

      Internal use only.

    - #### addMarker

          public java.lang.Integer addMarker(AceRange range,
                                             java.lang.String style,
                                             java.lang.String type)

      Internal use only.

    - #### addMarker

          public java.lang.Integer addMarker(AceRange range,
                                             java.lang.String style,
                                             java.lang.String type,
                                             java.lang.Boolean inFront)

      Internal use only.

    - #### getDocument

          public AceDocument getDocument()

      Internal use only.

    - #### getLength

          public java.lang.Integer getLength()

      Internal use only.

    - #### getLine

          public java.lang.String getLine(java.lang.Integer row)

      Internal use only.

    - #### getLines

          public java.lang.String[] getLines(java.lang.Integer firstRow,
                                             java.lang.Integer lastRow)

      Internal use only.

    - #### getMarker

          public AceMarker getMarker(java.lang.Integer id)

      Internal use only.

    - #### getMarkers

          public AceMarker[] getMarkers()

      Internal use only.

    - #### getMarkers

          public AceMarker[] getMarkers(java.lang.Boolean inFront)

      Internal use only.

    - #### getTextRange

          public java.lang.String getTextRange(AceRange range)

      Internal use only.

    - #### getUndoManager

          public AceUndoManager getUndoManager()

      Internal use only.

    - #### getValue

          public java.lang.String getValue()

      Internal use only.

    - #### insert

          public void insert(AcePosition position,
                             java.lang.String text)

      Internal use only.

    - #### remove

          public void remove(AceRange range)

      Internal use only.

    - #### removeMarker

          public void removeMarker(java.lang.Integer id)

      Internal use only.

    - #### setUndoManager

          public void setUndoManager(AceUndoManager undoManager)

      Internal use only.